Ignore:
Timestamp:
Jul 26, 2011, 2:35:25 AM (6 years ago)
Author:
dports@…
Message:

sshfs: fuse4x compatibility

  • rewrite macfuse dependency to allow fuse4x to satisfy it
  • add patch that uses APPLE instead of (FreeBSD >= 10) to test whether we're on a Mac, and adds a semaphore emulation layer if we're using Fuse4X (MacFUSE provides one of its own)
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/fuse/sshfs/Portfile

    r69376 r81150  
    2929depends_lib         port:gettext \
    3030                    path:lib/pkgconfig/glib-2.0.pc:glib2 \
    31                     port:macfuse \
     31                    path:lib/pkgconfig/fuse.pc:macfuse \
    3232                    port:libiconv \
    3333                    port:openssh
     
    3838platform darwin {
    3939    patch_sites         http://macfuse.googlecode.com/svn/tags/macfuse-2.0/filesystems/sshfs
    40     patchfiles          sshfs-fuse-${version}-macosx.patch
     40    patchfiles          sshfs-fuse-${version}-macosx.patch \
     41                        patch-fuse4x-compat.diff
    4142    checksums-append    sshfs-fuse-${version}-macosx.patch md5 08330f4c10e25052b3a5c26d180e4752 \
    4243                                                           sha1 24e6721c25fb883c945550ac62e20f4c35f4393e
     
    4445    # override patch.pre_args since it defaults to -p0
    4546    patch.pre_args -p1
     47
     48    use_autoreconf      yes
    4649}
Note: See TracChangeset for help on using the changeset viewer.